org.eclipse.jetty.servlet

## Class Holder.HolderConfig

- java.lang.Object
- - org.eclipse.jetty.servlet.Holder.HolderConfig

Direct Known Subclasses:
  ServletHolder.Config

Enclosing class:
  Holder<T>

    protected class Holder.HolderConfig
    extends Object

### Constructor Summary

Constructors
`protected` `Holder.HolderConfig()`

### Method Summary

Methods
`String` `getInitParameter(String param)`
`Enumeration` `getInitParameterNames()`
`javax.servlet.ServletContext` `getServletContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Holder.HolderConfig

    protected Holder.HolderConfig()

### Method Detail

#### getServletContext

    public javax.servlet.ServletContext getServletContext()

#### getInitParameter

    public String getInitParameter(String param)

#### getInitParameterNames

    public Enumeration getInitParameterNames()